<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>SignatureType (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SignatureType (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/plugins/signing/type/DefaultSignatureTypeProvider.html" title="class in org.gradle.plugins.signing.type"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/plugins/signing/type/SignatureTypeProvider.html" title="interface in org.gradle.plugins.signing.type"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/signing/type/SignatureType.html" target="_top">Frames</a></li>
<li><a href="SignatureType.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.signing.type</div>
<h2 title="Interface SignatureType" class="title">Interface SignatureType</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/gradle/plugins/signing/type/AbstractSignatureType.html" title="class in org.gradle.plugins.signing.type">AbstractSignatureType</a>, <a href="../../../../../org/gradle/plugins/signing/type/pgp/ArmoredSignatureType.html" title="class in org.gradle.plugins.signing.type.pgp">ArmoredSignatureType</a>, <a href="../../../../../org/gradle/plugins/signing/type/BinarySignatureType.html" title="class in org.gradle.plugins.signing.type">BinarySignatureType</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">SignatureType</span></pre>
<div class="block">The type of signature.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/signing/type/SignatureType.html#combinedExtension(java.io.File)">combinedExtension</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;toSign)</code>
<div class="block">Combines the extension of the given file with the expected signature extension.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/signing/type/SignatureType.html#fileFor(java.io.File)">fileFor</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;toSign)</code>
<div class="block">Calculates the file where to store the signature of the given file to be signed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/signing/type/SignatureType.html#getExtension()">getExtension</a></strong>()</code>
<div class="block">The file extension (without the leading dot) associated to this type of signature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/signing/type/SignatureType.html#sign(org.gradle.plugins.signing.signatory.Signatory,%20java.io.File)">sign</a></strong>(<a href="../../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a>&nbsp;signatory,
    <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;toSign)</code>
<div class="block">Signs the given file and returns the file where the signature has been written to.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/signing/type/SignatureType.html#sign(org.gradle.plugins.signing.signatory.Signatory,%20java.io.InputStream,%20java.io.OutputStream)">sign</a></strong>(<a href="../../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a>&nbsp;signatory,
    <a href="https://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;toSign,
    <a href="https://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;destination)</code>
<div class="block">Signs the data from the given InputStream and stores the signature in the given OutputStream.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getExtension()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtension</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getExtension()</pre>
<div class="block">The file extension (without the leading dot) associated to this type of signature.</div>
</li>
</ul>
<a name="fileFor(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fileFor</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;fileFor(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;toSign)</pre>
<div class="block">Calculates the file where to store the signature of the given file to be signed.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>toSign</code> - The file to be signed</dd>
<dt><span class="strong">Returns:</span></dt><dd>The file where to write the signature of the given file to be signed</dd></dl>
</li>
</ul>
<a name="combinedExtension(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>combinedExtension</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;combinedExtension(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;toSign)</pre>
<div class="block">Combines the extension of the given file with the expected signature extension.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>toSign</code> - The file to be signed</dd>
<dt><span class="strong">Returns:</span></dt><dd>The combined file extension (without the leading dot)</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/plugins/signing/type/SignatureType.html#getExtension()"><code>getExtension()</code></a></dd></dl>
</li>
</ul>
<a name="sign(org.gradle.plugins.signing.signatory.Signatory, java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sign</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;sign(<a href="../../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a>&nbsp;signatory,
        <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;toSign)</pre>
<div class="block">Signs the given file and returns the file where the signature has been written to.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>signatory</code> - The signatory</dd><dd><code>toSign</code> - The file to be signed</dd>
<dt><span class="strong">Returns:</span></dt><dd>The file where the signature has been written to</dd></dl>
</li>
</ul>
<a name="sign(org.gradle.plugins.signing.signatory.Signatory, java.io.InputStream, java.io.OutputStream)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>sign</h4>
<pre>void&nbsp;sign(<a href="../../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a>&nbsp;signatory,
        <a href="https://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;toSign,
        <a href="https://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;destination)</pre>
<div class="block">Signs the data from the given InputStream and stores the signature in the given OutputStream.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>signatory</code> - The signatory</dd><dd><code>toSign</code> - The source of the data to be signed</dd><dd><code>destination</code> - Where the signature will be written to</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/plugins/signing/type/DefaultSignatureTypeProvider.html" title="class in org.gradle.plugins.signing.type"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/plugins/signing/type/SignatureTypeProvider.html" title="interface in org.gradle.plugins.signing.type"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/signing/type/SignatureType.html" target="_top">Frames</a></li>
<li><a href="SignatureType.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
